Skip to main content
`Ctrl`+`K`

# DMPlexTransformExtrudeGetLayers

Get the number of extruded layers.

## Synopsis

    #include "petscdmplextransform.h"
    PetscErrorCode DMPlexTransformExtrudeGetLayers(DMPlexTransform tr, PetscInt *layers)

Not Collective

## Input Parameter

- tr - The `DMPlexTransform`

## Output Parameter

- layers - The number of layers

## See Also

`DMPlexTransform`, `DMPlexTransformExtrudeSetLayers()`

## Level

intermediate

## Location

src/dm/impls/plex/transform/impls/extrude/plextrextrude.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages